<?php

namespace ModulesGarden\ProxmoxAddon\Core\App\Controllers;

use ModulesGarden\ProxmoxAddon\Core\ServiceLocator;

abstract class AppController
{

    public function runController($callerName, $params)
    {
        $controller = $this->getControllerInstanceClass($callerName, $params);

        $controllerInstance = ServiceLocator::call($controller);

        $result = $controllerInstance->execute($params);

        return $result;
    }
}
